package com.io.yutian.thewardungeon.command.list;

import com.io.yutian.thewardungeon.dungeon.DungeonInstance;
import com.io.yutian.thewardungeon.lang.Lang;
import com.io.yutian.thewardungeon.manager.DungeonManager;
import com.io.yutian.thewarskyblocklib.command.CommandContext;
import com.io.yutian.thewarskyblocklib.command.ICommand;
import net.kyori.adventure.text.Component;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class CommandLeave extends ICommand {

    public CommandLeave() {
        super("leave");
    }

    @Override
    public void executes(CommandContext commandContext) {
        Player player = (Player) commandContext.getSender();
        DungeonInstance dungeonInstance = DungeonManager.getDungeonInstance(player);
        if (dungeonInstance == null) {
            player.sendMessage(Component.text(Lang.get("dungeon.level.no-in-dungeon")));
            return;
        }
        dungeonInstance.leave(player);
        player.sendMessage(Component.text(Lang.prefix+Lang.get("dungeon.level.message")));


    }

    @Override
    public boolean hasPermission(CommandSender sender) {
        return sender instanceof Player;
    }

}
