package com.io.yutian.thewardungeon.config;

import com.io.yutian.thewardungeon.TheWarDungeon;
import com.io.yutian.thewarskyblocklib.config.Config;
import com.io.yutian.thewarskyblocklib.util.FileUtil;

import java.io.File;

public class CommonConfig {

    private static Config config;

    public static Config.StringListValue allowCommands;
    public static Config.LocationValue safeLocation;

    public static void init() {
        FileUtil.saveResource(TheWarDungeon.inst(), "config.yml", false);
        File file = FileUtil.getFile(TheWarDungeon.inst(), "config.yml");
        config = new Config(file, CommonConfig.class);
        config.define("allowCommands", "allowCommands", new Config.StringListValue());
        config.define("safeLocation", "safeLocation", new Config.LocationValue());
        config.load();
    }

}
