package com.io.yutian.thewardungeon.dungeon.condition;

import org.bukkit.entity.Player;

import java.util.List;

public class ConditionGroup {

    private List<ICondition> conditions;

    public ConditionGroup(List<ICondition> conditions) {
        this.conditions = conditions;
    }

    public boolean isValid(Player player) {
        boolean flag = true;
        for (ICondition condition : conditions) {
            if (!condition.isValid(player)) {
                flag = false;
            }
        }
        return flag;
    }

}
