package com.io.yutian.thewardungeon.papi;

import com.io.yutian.thewardungeon.dungeon.DungeonInstance;
import com.io.yutian.thewardungeon.manager.DungeonManager;
import me.clip.placeholderapi.expansion.PlaceholderExpansion;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

public class DungeonPAPI extends PlaceholderExpansion {
    @Override
    public @NotNull String getIdentifier() {
        return "dungeon";
    }

    @Override
    public @NotNull String getAuthor() {
        return "SuperYuTian";
    }

    @Override
    public @NotNull String getVersion() {
        return "1.0";
    }

    @Override
    public @Nullable String onPlaceholderRequest(Player player, @NotNull String params) {
        DungeonInstance dungeonInstance = DungeonManager.getDungeonInstance(player);
        if (dungeonInstance == null) {
            return "NULL";
        }
        dungeonInstance.getCountdown();
        if (params.equalsIgnoreCase("countdown")) {
            return String.valueOf(dungeonInstance.getCountdown());
        } else if (params.equalsIgnoreCase("countdown_total")) {
            return String.valueOf(dungeonInstance.getDungeon().getConfig().getOption().getCountdown());
        }
        return "NULL";
    }

}
