package com.io.yutian.thewardungeon.script.list;

import com.io.yutian.thewardungeon.data.LineMetadata;
import com.io.yutian.thewardungeon.dungeon.DungeonInstance;
import com.io.yutian.thewardungeon.script.Script;

public class SetCountdownScript extends Script {

    private int countdown;

    public SetCountdownScript(LineMetadata metadata) {
        super(metadata);
        countdown = metadata.getInt("countdown");
    }

    @Override
    public void execute(DungeonInstance dungeonInstance) {
        dungeonInstance.setCountdown(countdown);
    }

}
