package com.io.yutian.thewardungeon.script.list;

import com.io.yutian.thewardungeon.data.LineMetadata;
import com.io.yutian.thewardungeon.dungeon.DungeonInstance;
import com.io.yutian.thewardungeon.script.Script;

public class SetTotalCountdownScript extends Script {

    private int countdown;

    public SetTotalCountdownScript(LineMetadata metadata) {
        super(metadata);
        this.countdown = metadata.getInt("countdown");
    }


    @Override
    public void execute(DungeonInstance dungeonInstance) {
        dungeonInstance.setTotalCountdown(countdown);
    }

}
