package com.io.yutian.thewarskyblocklib.command.argument;

import com.io.yutian.thewardungeon.dungeon.Dungeon;
import com.io.yutian.thewardungeon.manager.DungeonManager;
import org.bukkit.Bukkit;
import org.bukkit.World;
import org.bukkit.entity.Player;

import java.util.ArrayList;
import java.util.List;

public class Suggests {

    private static long updateTime = 0;
    private static List<String> allPlayers = new ArrayList<>();

    public static final Suggest WORLD_LIST = ()->{
        List<String> list = new ArrayList<>();
        for (World world : Bukkit.getWorlds()) {
            list.add(world.getName());
        }
        return list;
    };

    public static final Suggest PLAYER_LIST = ()->{
        List<String> list = new ArrayList<>();
        for (Player player : Bukkit.getOnlinePlayers()) {
            list.add(player.getName());
        }
        return list;
    };

    public static final Suggest DUNGEON_LIST = ()->{
        List<String> list = new ArrayList<>();
        for (Dungeon dungeon : DungeonManager.getDungeons()) {
            list.add(dungeon.getId());
        }
        return list;
    };

}
