package com.io.yutian.thewardungeon.command;

import com.io.yutian.thewardungeon.TheWarDungeon;
import com.io.yutian.thewardungeon.command.list.*;
import com.io.yutian.thewarskyblocklib.command.Command;
import com.io.yutian.thewarskyblocklib.command.list.CommandHelp;
import com.io.yutian.thewarskyblocklib.manager.CommandManager;

public class DungeonCommand {

    private static Command command;

    public static void init() {
        command = Command.of(TheWarDungeon.inst(), "thewardungeon");
        command.addAlias("dungeon");
        command.register(new CommandHelp(command, "TheWarDungeon"),
                new CommandCreate(),
                new CommandStart(),
                new CommandLeave(),
                new CommandGui(),
                new CommandState(),
                new CommandDungeonEvent(),
                new CommandReload());
        CommandManager.register(command);
    }

}
