package com.io.yutian.thewardungeon.command.list;

import com.io.yutian.thewardungeon.dungeon.Dungeon;
import com.io.yutian.thewardungeon.dungeon.DungeonInstance;
import com.io.yutian.thewardungeon.lang.Lang;
import com.io.yutian.thewardungeon.manager.DungeonManager;
import com.io.yutian.thewardungeon.manager.MapManager;
import com.io.yutian.thewarskyblocklib.command.CommandContext;
import com.io.yutian.thewarskyblocklib.command.ICommand;
import org.bukkit.command.CommandSender;

public class CommandReload extends ICommand {

    public CommandReload() {
        super("reload");
    }

    @Override
    public void executes(CommandContext commandContext) {
        CommandSender commandSender = commandContext.getSender();
        for (Dungeon dungeon : DungeonManager.getDungeons()) {
            for (DungeonInstance dungeonInstance : dungeon.getQueue().getAllDungeonInstance()) {
                dungeonInstance.stop();
            }
        }
        Lang.reload();
        MapManager.load();
        DungeonManager.load();
        commandSender.sendMessage(Lang.prefix+"§a重载成功");
    }

    @Override
    public boolean emptyExecutes(CommandSender commandSender) {
        for (Dungeon dungeon : DungeonManager.getDungeons()) {
            for (DungeonInstance dungeonInstance : dungeon.getQueue().getAllDungeonInstance()) {
                dungeonInstance.stop();
            }
        }
        Lang.reload();
        DungeonManager.load();
        commandSender.sendMessage(Lang.prefix+"§a重载成功");
        return true;
    }

}
