package com.io.yutian.thewardungeon.command.list;

import com.io.yutian.thewardungeon.TheWarDungeon;
import com.io.yutian.thewardungeon.dungeon.Dungeon;
import com.io.yutian.thewardungeon.dungeon.DungeonInstance;
import com.io.yutian.thewardungeon.manager.DungeonManager;
import com.io.yutian.thewarskyblocklib.command.CommandContext;
import com.io.yutian.thewarskyblocklib.command.ICommand;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.scheduler.BukkitRunnable;

public class CommandTest extends ICommand {

    public CommandTest() {
        super("test");
    }

    @Override
    public void executes(CommandContext commandContext) {
        Player player = (Player) commandContext.getSender();
        new BukkitRunnable() {

            private int i = 0;

            @Override
            public void run() {
                i++;
                if (i >= 5) {
                    cancel();
                    return;
                }
                Dungeon dungeon = DungeonManager.getDungeon("fb2");
                DungeonInstance dungeonInstance = dungeon.newInstance();
                dungeonInstance.join(player, true);
                Bukkit.getScheduler().runTaskLater(TheWarDungeon.inst(), ()->{
                    dungeonInstance.stop();
                }, 40L);
            }
        }.runTaskTimer(TheWarDungeon.inst(), 0L, 60L);
    }

}
