package com.io.yutian.thewardungeon.hook.papi;

import com.io.yutian.thewardungeon.dungeon.Dungeon;
import com.io.yutian.thewardungeon.manager.DungeonManager;
import me.clip.placeholderapi.expansion.PlaceholderExpansion;
import org.bukkit.OfflinePlayer;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

public class DungeonExpansion extends PlaceholderExpansion {

    @Override
    public @NotNull String getIdentifier() {
        return "dungeon";
    }

    @Override
    public @NotNull String getAuthor() {
        return "SuperYuTian";
    }

    @Override
    public @NotNull String getVersion() {
        return "1.0";
    }

    @Override
    public @Nullable String onRequest(OfflinePlayer player, @NotNull String params) {
        if (params.startsWith("room")) {
            if (!params.contains("_") || params.endsWith("_")) {
                return "NULL";
            }
            String id = params.split("_")[1];
            Dungeon dungeon = DungeonManager.getDungeon(id);
            if (dungeon == null) {
                return "NULL";
            }
            return String.valueOf(dungeon.getQueue().getAllFreeDungeonInstance().size());
        }
        return "NULL";
    }

}
