package com.io.yutian.thewardungeon.lang;

import com.io.yutian.thewardungeon.TheWarDungeon;
import com.io.yutian.thewarskyblocklib.util.FileUtil;
import org.bukkit.ChatColor;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

public class Lang {
    public static String prefix = "";

    private static Map<String, String> langMap = new HashMap<>();

    public static void reload() {
        prefix = "";
        langMap.clear();
        File file = new File(TheWarDungeon.inst().getDataFolder()+File.separator+ "lang.yml");
        if (!file.exists()) {
            FileUtil.saveResource(TheWarDungeon.inst(), "lang.yml", false);
        }
        FileConfiguration fileConfiguration = YamlConfiguration.loadConfiguration(file);
        for (String key : fileConfiguration.getKeys(true)) {
            if (!fileConfiguration.isString(key)) {
                continue;
            }
            String string = fileConfiguration.getString(key);
            string = ChatColor.translateAlternateColorCodes('&', string);
            if (key.equalsIgnoreCase("prefix")) {
                prefix = string;
                continue;
            }
            langMap.put(key, string);
        }
    }

    public static FileConfiguration getFileConfiguration() {
        File file = new File(TheWarDungeon.inst().getDataFolder()+File.separator+ "lang.yml");
        if (!file.exists()) {
            FileUtil.saveResource(TheWarDungeon.inst(),"lang.yml", false);
        }
        return YamlConfiguration.loadConfiguration(file);
    }

    public static String get(String key) {
        return langMap.getOrDefault(key, "§onull");
    }

    public static String get(String key, Object... args) {
        String s = langMap.getOrDefault(key, "§onull");
        for (int i = 0; i < args.length; i++) {
            s = s.replace("$"+i, String.valueOf(args[i]));
        }
        return s;
    }
}
