package com.io.yutian.thewarskyblocklib.util;

import io.lumine.mythic.api.adapters.AbstractEntity;
import io.lumine.mythic.bukkit.MythicBukkit;
import io.lumine.mythic.core.mobs.ActiveMob;
import io.lumine.mythic.core.mobs.MobRegistry;
import org.bukkit.World;
import org.bukkit.entity.Entity;

import java.lang.reflect.Field;
import java.util.Iterator;
import java.util.Map;
import java.util.UUID;

public class MMUtil {

    private static Field persistentMobsField;

    public static void fixEntity(World world) {
        MobRegistry mobRegistry = MythicBukkit.inst().getMobManager().getMobRegistry();
        Iterator<ActiveMob> it = mobRegistry.values().iterator();
        while (it.hasNext()) {
            ActiveMob value = it.next();
            AbstractEntity entity = value.getEntity();
            if (entity != null) {
                Entity bukkitEntity = entity.getBukkitEntity();
                if (bukkitEntity != null) {
                    World world1 = bukkitEntity.getWorld();
                    if (world1.getName().equals(world.getName())) {
                        it.remove();
                    }
                }
            }
        }
        try {
            Map<UUID, ActiveMob> persistentMobsMap = (Map<UUID, ActiveMob>) persistentMobsField.get(mobRegistry);
            Iterator<ActiveMob> it1 = persistentMobsMap.values().iterator();
            while (it1.hasNext()) {
                ActiveMob value = it1.next();
                AbstractEntity entity = value.getEntity();
                if (entity != null) {
                    Entity bukkitEntity = entity.getBukkitEntity();
                    if (bukkitEntity != null) {
                        World world2 = bukkitEntity.getWorld();
                        if (world2.getName().equals(world.getName())) {
                            it.remove();
                        }
                    }
                }
            }
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }
    }

    static {
        try {
            persistentMobsField = MobRegistry.class.getDeclaredField("activeMobs");
            persistentMobsField.setAccessible(true);
        } catch (NoSuchFieldException e) {
            e.printStackTrace();
        }
    }

}
